import request from '@/utils/request'

// 查询流量卡列表
export function listCard(query) {
    return request({
        url: '/snCard/dataSimCard/list',
        method: 'get',
        params: query
    })
}

// 查询流量卡详细
export function getCard(id) {
    return request({
        url: '/snCard/dataSimCard/' + id,
        method: 'get'
    })
}

// 查询流量卡详细
export function getInfoCard(id) {
    return request({
        url: '/snCard/dataSimCard/getInfoCard/' + id,
        method: 'get'
    })
}

// 新增流量卡
export function addCard(data) {
    return request({
        url: '/snCard/dataSimCard',
        method: 'post',
        data: data
    })
}

// 查询流量卡列表
export function selectDataSimCardFpList(query) {
    return request({
        url: '/snCard/dataSimCard/dataSimCardFpList',
        method: 'get',
        params: query
    })
}

// 选择分配流量卡
export function distributionDataSimCard(deptId, dataSimCardIds) {
    return request({
        url: '/snCard/dataSimCard/distribution?deptId=' + deptId + '&dataSimCardIds=' + dataSimCardIds,
        method: 'post'
    })
}

// 删除流量卡
export function delCard(id) {
    return request({
        url: '/snCard/dataSimCard/' + id,
        method: 'delete'
    })
}

export function stopCard(id, status) {
    return request({
        url: '/snCard/dataSimCard/stopCard/' + id + '/' + status,
        method: 'get'
    })
}
